Package com.emc.d2fs.models.markuprequesttype

# Class MarkupRequestType

java.lang.Object
com.emc.d2fs.models.markuprequesttype.MarkupRequestType

All Implemented Interfaces:
  `Serializable`

public class MarkupRequestType extends Object implements Serializable

Java class for MarkupRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MarkupRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SaveAs" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Overwrite" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Markup" type="{http://www.emc.com/d2fs/models/Markup}Markup"/>
             <element name="Content" type="{http://www.emc.com/d2fs/models/MarkupContentType}MarkupContentType"/>
             <element name="SignedConfig" type="{http://www.emc.com/d2fs/models/SignedConfigType}SignedConfigType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MarkupRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MarkupContentType`
  `getContent()`
  Gets the value of the content property.
  `Markup`
  `getMarkup()`
  Gets the value of the markup property.
  `SignedConfigType`
  `getSignedConfig()`
  Gets the value of the signedConfig property.
  `boolean`
  `isOverwrite()`
  Gets the value of the overwrite property.
  `boolean`
  `isSaveAs()`
  Gets the value of the saveAs property.
  `void`
  `setContent(MarkupContentType value)`
  Sets the value of the content property.
  `void`
  `setMarkup(Markup value)`
  Sets the value of the markup property.
  `void`
  `setOverwrite(boolean value)`
  Sets the value of the overwrite property.
  `void`
  `setSaveAs(boolean value)`
  Sets the value of the saveAs property.
  `void`
  `setSignedConfig(SignedConfigType value)`
  Sets the value of the signedConfig property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MarkupRequestType

    public MarkupRequestType()

- ## Method Details

  - ### isSaveAs

    public boolean isSaveAs()
    Gets the value of the saveAs property.

  - ### setSaveAs

    public void setSaveAs(boolean value)
    Sets the value of the saveAs property.

  - ### isOverwrite

    public boolean isOverwrite()
    Gets the value of the overwrite property.

  - ### setOverwrite

    public void setOverwrite(boolean value)
    Sets the value of the overwrite property.

  - ### getMarkup

    public Markup getMarkup()
    Gets the value of the markup property.
    Returns:
      possible object is `Markup`

  - ### setMarkup

    public void setMarkup(Markup value)
    Sets the value of the markup property.
    Parameters:
      `value` - allowed object is `Markup`

  - ### getContent

    public MarkupContentType getContent()
    Gets the value of the content property.
    Returns:
      possible object is `MarkupContentType`

  - ### setContent

    public void setContent(MarkupContentType value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `MarkupContentType`

  - ### getSignedConfig

    public SignedConfigType getSignedConfig()
    Gets the value of the signedConfig property.
    Returns:
      possible object is `SignedConfigType`

  - ### setSignedConfig

    public void setSignedConfig(SignedConfigType value)
    Sets the value of the signedConfig property.
    Parameters:
      `value` - allowed object is `SignedConfigType`